
.btn {
	color: #fff;
	border: none;
	outline: none;
	cursor: pointer;
	font-weight: 700;
	font-size: 1.6rem;
	line-height: 2rem;
	padding: 8px 0;
	user-select: none;
	text-align: center;
	white-space: nowrap;
	position: relative;
	text-decoration: none;
	display: inline-block;
	vertical-align: middle;
	background: transparent;

	transition: color ease 0.3s;

	&::before, &::after {
		content: '';
		position: absolute;
		background-color: rgba(255,255,255,0.7);
		z-index: -1;
		height: 1px;
	}

	&::before {
		width: 0%;
		left: 0;
		bottom: 0;
		transition: width ease 0.4s;
	}

	&::after {
		width: 100%;
		left: 0;
		bottom: 0;
		transition: all ease 0.6s;
	}

	&:hover {

		&::before {
			width: 100%;
		}

		&::after {
			left: 100%;
			width: 0%;
			transition: all ease 0.2s;
		}
	}


	&:active {

	}

	&:focus,
	&.focus {
		outline: 0;
	}	
}
